Update a Session

Change a prescription or order during an active session.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

SUMMARY

Update a session when a user has non-terminal changes such as products ordered or prescriptions renewed. All of the fields required during creation are also required here, as the associated records will be replaced in their entirety.

This should not be called when a session/order is being cancelled.

❗️

You cannot update prescriptions and products once a user has begun the exam.

JSON

{
	"user_key": "user1",
	"session_key": "session1",
	"user": {},
	"order": {},
	"prescriptions": []
}
Body Params
string
required

A unique, PHI-compliant identifier for each user sent to the API

string
required

A unique, PHI-compliant identifier for each user transaction sent to the API

user
object
required
order
object

The order made on the product, including the charged amount, and the products purchased. If you would like Visibly to accept payment at the end of the test, pass null into the charged_amount field.

prescriptions
array of objects
prescriptions
Responses
200

Session updated

400

Invalid request

401

Authentication required

404

Session not found

422

Session cannot be updated

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json